[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetViewPortOrgEx

Sets the device origin corresponding to the window origin (0,0) in a device context.

## Declaration

Source position: winapih.inc line 266

`public function TWidgetSet.SetViewPortOrgEx(`
`DC: HDC;`
`NewX: Integer;`
`NewY: Integer;`
`OldPoint: PPoint`
`):Boolean; virtual;`

## Arguments

`DC` |  | The Device Context.
`NewX` |  | The coordinates in device units.
`NewY` |  | The coordinates in device units.
`OldPoint` |  | Receives the previous origin, if not Nil.

## Function result

False on failure.

## See also

TWidgetSet.SetViewPortExtEx |  | Sets the extent of the viewport for a device context.
TWidgetSet.SetWindowOrgEx |  | Specifies which window point maps to the viewport origin (0,0).